﻿CREATE TABLE [dbo].[TUZIVATELE] (
    [ID]          INT           IDENTITY (1, 1) NOT NULL,
    [LOGIN]       VARCHAR (30)  NOT NULL,
    [LOGINUPPER]  VARCHAR (30)  NOT NULL,
    [HESLO]       VARCHAR (200) NOT NULL,
    [PRIJMENI]    VARCHAR (30)  NOT NULL,
    [JMENO]       VARCHAR (30)  NOT NULL,
    [TITULPREDJM] VARCHAR (30)  NOT NULL,
    [TITULZAJM]   VARCHAR (30)  NOT NULL,
    [B_ADMIN]     CHAR (1)      NOT NULL,
    [B_STANICE]   CHAR (1)      NOT NULL,
    [KDOZMENIL]   VARCHAR (200) NOT NULL,
    [KDYZMENIL]   DATETIME      NOT NULL,
    [B_ZRUS]      CHAR (1)      NOT NULL,
    PRIMARY KEY CLUSTERED ([ID] ASC)
);


GO
CREATE TRIGGER [TUZIVATELE_BU0]
    ON [TUZIVATELE]
    FOR UPDATE
    AS
    BEGIN
		DECLARE @id int
		DECLARE @login varchar(30)
		DECLARE @heslo varchar(200)
              DECLARE @prijmeni varchar(30)
		DECLARE @jmeno varchar(30)
 		DECLARE @titulpredjm varchar(100)
		DECLARE @titulzajm varchar(30)
 		DECLARE @b_admin char
		DECLARE @b_stanice char
		DECLARE @kdozmenil varchar(200)
		DECLARE @kdyzmenil datetime
 		DECLARE @b_zrus char

		select @id = id from inserted;
		select @login = login from inserted;
		select @heslo = heslo from inserted;
		select @prijmeni = prijmeni from inserted;
		select @jmeno = jmeno from inserted;
		select @titulpredjm = titulpredjm from inserted;
		select @titulzajm = titulzajm from inserted;
 		select @b_admin = b_admin from inserted;
		select @b_stanice = b_stanice from inserted;
		select @kdozmenil = kdozmenil from inserted;
		select @kdyzmenil = kdyzmenil from inserted;
 		select @b_zrus = b_zrus from inserted;

insert into tuzivatelehis (ID, LOGIN, HESLO, PRIJMENI, JMENO, TITULPREDJM, TITULZAJM, B_ADMIN, B_STANICE, B_ZRUS, KDOZMENIL, KDYZMENIL) values (@id, @login, @heslo, @prijmeni, @jmeno, @titulpredjm, @titulzajm, @b_admin, @b_stanice, @b_zrus, @kdozmenil, @kdyzmenil);
    END
GO
CREATE TRIGGER [TUZIVATELE_AIU0]
    ON [TUZIVATELE]
    AFTER UPDATE
    AS
    BEGIN
		DECLARE @b_zrus char
		DECLARE @id int
        select @b_zrus = b_zrus from inserted;
		select @id = id from inserted;
		if(@b_zrus = 'A') 
          delete from tuzivatele where id = @id;
    END