﻿CREATE TABLE [dbo].[TZAKAZNICI] (
    [ID]        INT           IDENTITY (1, 1) NOT NULL,
    [NAZEV]     VARCHAR (30)  NOT NULL,
    [ICO]       VARCHAR (30)  NOT NULL,
    [DIC]       VARCHAR (30)  NOT NULL,
    [JMENO]     VARCHAR (30)  NOT NULL,
    [PRIJMENI]  VARCHAR (30)  NOT NULL,
    [ULICE]     VARCHAR (100) NOT NULL,
    [MESTO]     VARCHAR (30)  NOT NULL,
    [PSC]       INT           NOT NULL,
    [TELEFON]   INT           NOT NULL,
    [EMAIL]     VARCHAR (100) NOT NULL,
    [KDOZMENIL] VARCHAR (200) NOT NULL,
    [KDYZMENIL] DATETIME      NOT NULL,
    [OSOBA]     CHAR (1)      NOT NULL,
    [B_ZRUS]    CHAR (1)      NOT NULL,
    PRIMARY KEY CLUSTERED ([ID] ASC)
);


GO

CREATE TRIGGER [TZAKAZNICI_BU0]
    ON [TZAKAZNICI]
    FOR UPDATE
    AS
    BEGIN
		DECLARE @id int
		DECLARE @nazev varchar(30)
 		DECLARE @ico varchar(30)
		DECLARE @dic varchar(30)
		DECLARE @jmeno varchar(30)
		DECLARE @prijmeni varchar(30)
 		DECLARE @ulice varchar(100)
		DECLARE @mesto varchar(30)
 		DECLARE @psc int
		DECLARE @telefon int
		DECLARE @email varchar(100)
		DECLARE @kdozmenil varchar(200)
		DECLARE @kdyzmenil datetime
DECLARE @osoba char
 		DECLARE @b_zrus char

		select @id = id from inserted;
		select @nazev = nazev from inserted;
 		select @ico = ico from inserted;
		select @dic = dic from inserted;
		select @jmeno = jmeno from inserted;
		select @prijmeni = prijmeni from inserted;
 		select @ulice = ulice from inserted;
		select @mesto = mesto from inserted;
 		select @psc = psc from inserted;
		select @telefon = telefon from inserted;
		select @email = email from inserted;
		select @kdozmenil = kdozmenil from inserted;
		select @kdyzmenil = kdyzmenil from inserted;
select @osoba = osoba from inserted;
 		select @b_zrus = b_zrus from inserted;

insert into tzakaznicihis (ID, NAZEV, ICO, DIC, JMENO, PRIJMENI, ULICE, MESTO, PSC, TELEFON, EMAIL, B_ZRUS, KDOZMENIL, KDYZMENIL, OSOBA) values (@id, @nazev, @ico, @dic, @jmeno, @prijmeni, @ulice, @mesto, @psc, @telefon, @email, @b_zrus, @kdozmenil, @kdyzmenil, @osoba);
    END
GO

CREATE TRIGGER [TZAKAZNICI_AIU0]
    ON [TZAKAZNICI]
    AFTER UPDATE
    AS
    BEGIN
		DECLARE @b_zrus char
		DECLARE @id int
              select @b_zrus = b_zrus from inserted;
		select @id = id from inserted;
		if(@b_zrus = 'A') 
          delete from tzakaznici where id = @id;
    END