﻿CREATE TABLE [dbo].[TZBOZI] (
    [ID]        INT           IDENTITY (1, 1) NOT NULL,
    [NAZEV]     VARCHAR (100) NOT NULL,
    [POPIS]     VARCHAR (100) NOT NULL,
    [CENA]      INT           NOT NULL,
    [KDOZMENIL] VARCHAR (200) NOT NULL,
    [KDYZMENIL] DATETIME      NOT NULL,
    [B_ZRUS]    CHAR (1)      NOT NULL,
    [MNOZSTVI]  INT           NOT NULL,
    [DODAVATEL] VARCHAR (30)  NOT NULL,
    PRIMARY KEY CLUSTERED ([ID] ASC)
);


GO

CREATE TRIGGER [TZBOZI_AIU0]
    ON [TZBOZI]
    AFTER UPDATE
    AS
    BEGIN
		DECLARE @b_zrus char
		DECLARE @id int
              select @b_zrus = b_zrus from inserted;
		select @id = id from inserted;
		if(@b_zrus = 'A') 
          delete from tzbozi where id = @id;
    END
GO

CREATE TRIGGER [TZBOZI_BU0]
    ON [TZBOZI]
    FOR UPDATE
    AS
    BEGIN
		DECLARE @id int
		DECLARE @nazev varchar(100)
 		DECLARE @popis varchar(100)
 		DECLARE @cena int
		DECLARE @kdozmenil varchar(200)
		DECLARE @kdyzmenil datetime
		DECLARE @b_zrus char
DECLARE @mnozstvi int
DECLARE @dodavatel varchar(30)

		select @id = id from inserted;
		select @nazev = nazev from inserted;
 		select @popis = popis from inserted;
		select @cena = cena from inserted;
		select @kdozmenil = kdozmenil from inserted;
		select @kdyzmenil = kdyzmenil from inserted;
		select @b_zrus = b_zrus from inserted;
select @mnozstvi = mnozstvi from inserted;
select @dodavatel = dodavatel from inserted;

insert into tzbozihis (ID, NAZEV, POPIS, CENA, B_ZRUS, KDOZMENIL, KDYZMENIL, MNOZSTVI, DODAVATEL) values (@id, @nazev, @POPIS, @CENA, @b_zrus, @kdozmenil, @kdyzmenil, @mnozstvi, @dodavatel); 
END