﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace SkladovaEvidence
{
    /// <summary>
    /// Správa výdajů, historie.
    /// Číslování chyb: 12000 - 12999.
    /// </summary>
    internal partial class VydejHistorie : Form
    {
        private Util util;

        public VydejHistorie(Util pUtil)
        {
            InitializeComponent();
            this.util = pUtil;
            this.NactiData();
        }
        private bool NactiData()
        {
            int iErrKod = 12000;
            SqlCommand sqlCommand = null;
            SqlDataAdapter sqlDataAdapter = null;
            string sErr, sPole;

            this.vydej.Width = this.gr.ClientSize.Width - this.kdyzmenil.Width - this.zakaznik.Width - 25;

            try
            {

                if (!this.util.PripojDb(out sqlCommand, out sErr))
                {
                    iErrKod = 12001;
                    this.util.PisLog("Výdej historie " + iErrKod.ToString() + ": " + sErr,
                      true);
                    return false;
                }

                this.tabvyd.Clear();

                sPole = "KDYZMENIL, ZAKAZNIK, VYDEJ  ";

                iErrKod = 12002;
                sqlCommand.CommandText = "select " + sPole + "from tvydej order by kdyzmenil";

                sqlDataAdapter = new SqlDataAdapter(sqlCommand);
                sqlDataAdapter.Fill(this.tabvyd);

                return true;
            }
            catch (Exception exc)
            {
                this.util.PisLog("Výdej historie " + iErrKod.ToString() + ": " +
                  exc.ToString(), true);

                return false;
            }
            finally
            {
                if (sqlDataAdapter != null)
                    sqlDataAdapter.Dispose();

                this.util.OdpojDb(sqlCommand);
            }
        }
    }
}
